Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
reporting-groups
/
{reporting_group_id}
/
agent-versions
Get agent versions configuration
curl --request GET \
  --url https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}/agent-versions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}/agent-versions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.staging.flxwvdexternal.com/v1/organizations/{organization_id}/reporting-groups/{reporting_group_id}/agent-versions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "agent_auto_update": true,
  "versions": {
    "windows_cp": {
      "early": "latest",
      "production": "latest"
    },
    "windows": {
      "early": "2.20.0",
      "production": "2.19.3"
    },
    "macos": {
      "early": "latest",
      "production": "1.9.2"
    },
    "linux": {
      "early": "latest",
      "production": "1.11.0"
    }
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "details": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "details": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "details": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "details": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "details": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization id
string
required

Identifier of the target organization.

Required string length: 24
Pattern: ^[0-9a-f]{24}$
reporting_group_id
string
required

Identifier of the target report group.

Required string length: 24
Pattern: ^[0-9a-f]{24}$

Response

Agent versions successfully retrieved.

agent_auto_update
boolean
required
versions
object
required